Bug 190250 - [Xcode] Update some build settings as recommended by Xcode 10
Summary: [Xcode] Update some build settings as recommended by Xcode 10
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: Safari Technology Preview
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-10-03 09:28 PDT by mitz
Modified: 2018-10-08 06:57 PDT (History)
29 users (show)

See Also:


Attachments
bmalloc, WTF and JavaScriptCore parts (23.14 KB, patch)
2018-10-03 09:35 PDT, mitz
achristensen: review+
Details | Formatted Diff | Diff
ANGLE and libwebrtc parts (10.52 KB, patch)
2018-10-03 14:00 PDT, mitz
aestes: review+
Details | Formatted Diff | Diff
WebCore and PAL parts (23.47 KB, patch)
2018-10-03 15:58 PDT, mitz
no flags Details | Formatted Diff | Diff
WebCore and PAL parts (23.44 KB, patch)
2018-10-03 16:06 PDT, mitz
aestes: review+
Details | Formatted Diff | Diff
WebInspectorUI and WebKitLegacy parts (58.22 KB, patch)
2018-10-03 23:15 PDT, mitz
aestes: review+
Details | Formatted Diff | Diff
WebKit part (17.81 KB, patch)
2018-10-04 21:37 PDT, mitz
no flags Details | Formatted Diff | Diff
WebKit part (18.55 KB, patch)
2018-10-06 15:57 PDT, mitz
no flags Details | Formatted Diff | Diff
WebKit part (20.28 KB, patch)
2018-10-06 16:30 PDT, mitz
no flags Details | Formatted Diff | Diff
WebKit part (20.73 KB, patch)
2018-10-06 16:37 PDT, mitz
aestes: review+
Details | Formatted Diff | Diff
The rest (37.51 KB, patch)
2018-10-07 16:06 PDT, mitz
andersca: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mitz 2018-10-03 09:28:08 PDT
Xcode 10 recommends enabling a few more compiler warnings.
Comment 1 mitz 2018-10-03 09:35:54 PDT
Created attachment 351527 [details]
bmalloc, WTF and JavaScriptCore parts
Comment 2 EWS Watchlist 2018-10-03 09:38:02 PDT
Attachment 351527 [details] did not pass style-queue:


ERROR: Source/JavaScriptCore/assembler/MacroAssemblerPrinter.cpp:56:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/JavaScriptCore/assembler/MacroAssemblerPrinter.cpp:66:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/JavaScriptCore/assembler/MacroAssemblerPrinter.cpp:70:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/JavaScriptCore/assembler/MacroAssemblerPrinter.cpp:77:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/JavaScriptCore/assembler/MacroAssemblerPrinter.cpp:80:  More than one command on the same line  [whitespace/newline] [4]
Total errors found: 5 in 13 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 mitz 2018-10-03 11:39:15 PDT
Committed attachment 351527 [details] as <https://trac.webkit.org/r236805>.
Comment 4 mitz 2018-10-03 14:00:03 PDT
Created attachment 351545 [details]
ANGLE and libwebrtc parts
Comment 5 EWS Watchlist 2018-10-03 14:01:24 PDT
Note that there are important steps to take when updating ANGLE. See http://trac.webkit.org/wiki/UpdatingANGLE
Comment 6 mitz 2018-10-03 14:09:24 PDT
Committed attachment 351545 [details] as <https://trac.webkit.org/r236811>.
Comment 7 mitz 2018-10-03 15:58:17 PDT
Created attachment 351556 [details]
WebCore and PAL parts
Comment 8 EWS Watchlist 2018-10-03 16:02:44 PDT
Attachment 351556 [details] did not pass style-queue:


ERROR: Source/WebCore/ChangeLog:8:  You should remove the 'No new tests' and either add and list tests, or explain why no new tests were possible.  [changelog/nonewtests] [5]
Total errors found: 1 in 9 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 9 mitz 2018-10-03 16:06:09 PDT
Created attachment 351558 [details]
WebCore and PAL parts
Comment 10 mitz 2018-10-03 23:15:20 PDT
Created attachment 351589 [details]
WebInspectorUI and WebKitLegacy parts
Comment 11 EWS Watchlist 2018-10-03 23:17:23 PDT
Attachment 351589 [details] did not pass style-queue:


ERROR: Source/WebKitLegacy/mac/WebView/WebJSPDFDoc.mm:30:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/WebView/WebView.mm:7358:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
ERROR: Source/WebKitLegacy/mac/WebView/WebView.mm:7380:  The parameter name "preferences" adds no information, so it should be removed.  [readability/parameter_name] [5]
ERROR: Source/WebKitLegacy/mac/WebView/WebView.mm:7439:  Should have a space between // and comment  [whitespace/comments] [4]
ERROR: Source/WebKitLegacy/mac/WebView/WebView.mm:7462:  One line control clauses should not use braces.  [whitespace/braces] [4]
ERROR: Source/WebKitLegacy/mac/WebView/WebView.mm:7464:  One line control clauses should not use braces.  [whitespace/braces] [4]
ERROR: Source/WebKitLegacy/mac/WebView/WebView.mm:7475:  One line control clauses should not use braces.  [whitespace/braces] [4]
ERROR: Source/WebKitLegacy/mac/WebView/WebDeviceOrientationProviderMock.mm:115:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: Source/WebKitLegacy/mac/WebCoreSupport/WebFrameLoaderClient.mm:1374:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Total errors found: 9 in 32 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 12 mitz 2018-10-04 09:31:34 PDT
Comment on attachment 351589 [details]
WebInspectorUI and WebKitLegacy parts

I guess this one needs more work for 32-bit macOS and for iOS.
Comment 13 mitz 2018-10-04 09:47:18 PDT
Committed attachment 351558 [details] as <https://trac.webkit.org/r236832>.
Comment 14 mitz 2018-10-04 13:37:34 PDT
Committed attachment 351589 [details] with fixes for 32-bit macOS and iOS as <https://trac.webkit.org/r236846>.
Comment 15 mitz 2018-10-04 21:37:14 PDT
Created attachment 351652 [details]
WebKit part
Comment 16 mitz 2018-10-06 15:57:54 PDT
Created attachment 351731 [details]
WebKit part
Comment 17 mitz 2018-10-06 16:30:14 PDT
Created attachment 351732 [details]
WebKit part
Comment 18 mitz 2018-10-06 16:37:14 PDT
Created attachment 351733 [details]
WebKit part
Comment 19 mitz 2018-10-06 18:30:18 PDT
Committed attachment 351733 [details] as <https://trac.webkit.org/r236902>.
Comment 20 Ryan Haddad 2018-10-06 19:45:26 PDT
(In reply to mitz from comment #19)
> Committed attachment 351733 [details] as <https://trac.webkit.org/r236902>.
This appears to have broken the Mojave build: https://build.webkit.org/builders/Apple%20Mojave%20Debug%20%28Build%29/builds/193
Comment 21 mitz 2018-10-06 19:49:04 PDT
(In reply to Ryan Haddad from comment #20)
> (In reply to mitz from comment #19)
> > Committed attachment 351733 [details] as <https://trac.webkit.org/r236902>.
> This appears to have broken the Mojave build:
> https://build.webkit.org/builders/Apple%20Mojave%20Debug%20%28Build%29/
> builds/193

Thanks for letting me know! Tried to fix it with <https://trac.webkit.org/r236903>.
Comment 22 mitz 2018-10-07 16:06:48 PDT
Created attachment 351748 [details]
The rest
Comment 23 mitz 2018-10-08 06:56:05 PDT
Committed attachment 351748 [details] as <https://trac.webkit.org/r236913>.
Comment 24 Radar WebKit Bug Importer 2018-10-08 06:57:28 PDT
<rdar://problem/45087483>